package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.MappedSuperclass;

/**
 * @Description :规则基类
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@MappedSuperclass
@Api("规则参数基类")
@ExcludeImportExport
public class BaseRule extends BaseAPS {
    private static final long serialVersionUID = -1818853814377611968L;

    @Column(name="CODE")
    @ApiParam(value ="规则编码")
    @FieldAnnotation(popSearch = true, mainkey = true)
    private String code;

    @Column(name="REMARK")
    @ApiParam(value ="备注")
    private String remark;
}
