package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.base.enumutil.ApsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;

/**
 * @Description : 排程优化规则
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2021-03-24
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_HEURISTIC_OPTIMIZE")
@Api("排程优化规则")
public class HeuristicOptimize extends BaseRule {
    private static final long serialVersionUID = -464821596740369199L;

    @Column(name="WORK_FILTER")
    @ApiParam(value ="工作筛选")
    private String workFilter;

    @Lob
    @Column(name="WORK_SORT")
    @ApiParam(value ="工作排序")
    private String workSort;

    @Column(name="RES_FILTER")
    @ApiParam(value ="资源筛选")
    private String resFilter;

    @Lob
    @Column(name="RES_SELECT")
    @ApiParam(value ="资源选择")
    private String resSelect;

    @Column(name="WAITING_TIME")
    @ApiParam(value ="最大等待时间")
    private String waitingTime;

    @Column(name="OPTIMIZE_INTERVAL")
    @ApiParam(value ="优化间隔")
    private String optimizeInterval;

    @Column(name="MAX_WAITING_LIMIT")
    @ApiParam(value ="最大等待时间限制")
    private Boolean maxWaitingLimit;

    @Column(name="MAX_WAITING_ADJUST")
    @ApiParam(value ="最大等待时间调整")
    private Boolean maxWaitingAdjust;
}
