package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import java.util.Date;


/**
 * @Description :订单树
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Api("订单树")
@ExcludeImportExport
public class OrderTree extends BaseAPS {
    private static final long serialVersionUID = -7505923374791695738L;

    @ApiParam(value ="物料编码")
    private String material;

    @ApiParam(value ="数量")
    private Double count;

    @ApiParam(value ="最晚结束时刻")
    private Date let;

    @ApiParam(value ="最早开始时刻计算值")
    private Date calcEst;

    @ApiParam(value ="最晚结束时刻计算值")
    private Date calcLet;

    @ApiParam(value ="计划开始")
    private Date planBegin;

    @ApiParam(value ="计划结束")
    private Date planEnd;

    @ApiParam(value ="接单日期")
    private Date receiveDate;

    @ApiParam(value ="优先级")
    private Integer priority;

    @ApiParam(value ="专料号")
    private String specifyMaterialNum;
}
