package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.converter.CustomDateDeserializer;
import cn.estsh.i3plus.pojo.aps.converter.CustomDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Description : 订单甘特图工作块
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-06-11
 * @Modify:
 **/
@Data
public class GanttOrderModel {
    private String id;
    private String code;
    private String name;
    private String operationName;
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date startDate;
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date endDate;
    private String color;
    /**
     * 完成百分比
     */
    private Double percentDone;
    /**
     * 是否展开树
     */
    private Boolean expanded;
    /**
     * 自动把数据相加 在children的上层 当前
     */
    private Boolean rollup;
    /**
     * 持续时间 天/小时/分钟
     */
    private String duration;
    private Boolean manuallyScheduled;
    private List<GanttOrderModel> children = new ArrayList<>();
    private List<GanttLineModel> lineModels = new ArrayList<>();
}
