package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.converter.CustomDateDeserializer;
import cn.estsh.i3plus.pojo.aps.converter.CustomDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.Date;

/**
 * @Description : 物料交期分析表
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-06-11
 * @Modify:
 **/
@Data
public class MaterialDeliveryAnalyze {
    @ApiParam(value ="订单ID")
    private Long orderId;

    @ApiParam(value ="订单编码")
    private String orderCode;

    @ApiParam(value ="订单名称")
    private String orderName;

    @ApiParam(value ="物料编码")
    private String materialCode;

    @ApiParam(value ="物料名称")
    private String materialName;

    @ApiParam(value ="标签名称")
    private String labelName;

    @ApiParam(value ="标签颜色")
    private String labelColor;

    @ApiParam(value ="需求数量")
    private Double requireCount;

    @ApiParam(value ="需求日期")
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date requireDate;

    @ApiParam(value ="最早到货日期")
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date arrivalDate;

    /**
     * 0正常显示，1显示红色
     */
    @ApiParam(value ="背景显示颜色")
    private Integer backgroundColor;

    private Double count;
}
