package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.base.enumutil.ApsEnumUtil;
import io.swagger.annotations.Api;
import lombok.Data;

/**
 * 顶层订单完成情况
 *
 * @Description : OrderFinishStatusModel
 * @Author :gsz
 * @Date 2021/10/21 10:45
 * @Modify
 **/
@Data
@Api("顶层订单完成情况报表")
public class OrderFinishStatusModel extends APSPager {
    //订单号
    private String topOrderNo;
    //订单类型
    private String orderType;
    //物料编码
    private String materialCode;
    //工厂货品
    private String materialName;
    //商标编码
    private String code;
    //商标
    private String logo;
    //皮带标识编码
    private String leatherSignId;
    //皮带标识
    private String sign;
    //顶层订单数量
    private Integer topOrderCount;
    //库存扣减数量
    private Integer inventoryBackCount;
    //生产订单数量
    private Integer productOrderCount;
    //参与排程数量
    private Double inScheduleCount;
    //已下发数量
    private Double confirmCount;
    //已报工数量
    private Double reportCount;
    //牵纱排程数量
    private Double trainbearerScheduleCount;
    //覆胶排程数量
    private Double coatingScheduleCount;
    //包布排程数量
    private Double wrappingScheduleCount;
    //硫化排程数量
    private Double sulfidationScheduleCount;


}
