package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.converter.CustomDateDeserializer;
import cn.estsh.i3plus.pojo.aps.converter.CustomDateSerializer;
import cn.estsh.i3plus.pojo.base.enumutil.ApsEnumUtil;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.util.Date;

/**
 * @Description : 资源负荷请求参数
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2021-04-15
 * @Modify:
 **/
@Data
public class ResourceLoadRequest {
    private ApsEnumUtil.RESOURCE_LOAD_SPAN span;

    /**
     * 统计开始时间
     */
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date begin;

    /**
     * 统计结束时间
     */
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date end;

    private Long[] resourceIds;
}
