package cn.estsh.i3plus.pojo.bsp.server.bean.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/15 9:33
 * @Modify:
 **/
@Data
@AllArgsConstructor
@ApiModel("注册方法信息")
public class RegistryMethodInfo {

    @ApiModelProperty("方法名")
    private String methodName;

    @ApiModelProperty("调用方法时的key")
    private String methodHandlerKey;

    @ApiModelProperty("参数列表")
    private List<RegistryMethodParamInfo> methodParamList;

    /*-----------------------------------文档------------------------------------------------*/

    @ApiParam("beanName")
    private String beanName;
    @ApiParam("方法版本号")
    private String version;

    @ApiParam("受影响的表名，update/insert")
    private List<String> affectTableClassName;

    @ApiParam("系统要执行的逻辑")
    private List<String> systemProcess;
    /**
     * 参数验证
     */
    @ApiParam("参数验证")
    private List<String> validation;



}
