package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 5:13 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_BOARD_SHIFT_SECTION")
@Api("MES_看板班次时段")
public class MesBoardShiftSection extends BaseBean implements Serializable {

    private static final long serialVersionUID = -957301986885952078L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "SHIFT_CODE")
    @ApiParam("班次代码")
    private String shiftCode;

    @Column(name = "START_TIME")
    @ApiParam("开始时段")
    private String startTime;

    @Column(name = "END_TIME")
    @ApiParam("结束时段")
    private String endTime;

    @Column(name = "IS_SPANDAY")
    @ApiParam("是否跨天")
    private Integer isSpanday;

    @Column(name = "SEQ")
    @ApiParam("顺序")
    private Integer seq;

    @Transient
    @ApiParam("班次名称")
    private String shiftName;

    @Transient
    @ApiParam("是否跨天")
    private boolean isNextDay;
}
