package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.*;

import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import java.io.Serializable;

/**
 * @Description :mes客户表
 * @Reference :
 * @Author : crish
 * @CreateDate : 2019-04-22
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_CUSTOMER", indexes = {
        @Index(columnList = "CUSTOMER_CODE")
})
@Api("客户信息")
public class MesCustomer extends BaseBean implements Serializable {
    private static final long serialVersionUID = 6049359006918853570L;
    @Column(name = "CUSTOMER_CODE")
    @ApiParam("客户代码")
    private String customerCode;

    @Column(name = "CUSTOMER_NAME")
    @ApiParam("客户名称")
    private String customerName;

    @Column(name = "BRIEF_TEXT")
    @ApiParam("客户简称")
    private String briefText;

    @Column(name = "ADDRESS")
    @ApiParam("客户地址")
    private String address;

    @Column(name = "CONTACT")
    @ApiParam("客户联系人")
    private String contact;

    @Column(name = "TELEPHONE")
    @ApiParam("客户电话")
    private String telephone;

    @Column(name = "CUST_DELIVERY_LOCATION")
    @ApiParam("客户发往地")
    private String custDeliveryLocation;

    @Column(name = "IS_BI_DISPLAY")
    @ApiParam("是否BI显示")
    private Integer isBiDisplay = 2;
}
