package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :设备计划配置
 * @Reference :
 * @Author : Wynne.Lu
 * @CreateDate : 2020-10-15
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_EQU_TASK_PLAN_CFG")
@Api("设备周期作业计划配置")
public class MesEquTaskPlanCfg extends BaseBean implements Serializable {
    private static final long serialVersionUID = 7734079474434307857L;

    @Column(name = "PLAN_CFG_CODE")
    @ApiParam("计划配置代码")
    private String planCfgCode;

    @Column(name = "BACKGROUND_COLOR")
    @ApiParam("显示背景色")
    private String backgroundColor;

    @Column(name = "COLOR")
    @ApiParam("字体颜色")
    private String color;

    @Column(name = "CYCLE")
    @ApiParam("周期(天)")
    private Integer taskCycle;

    @Column(name = "DISPLAY_TEXT")
    @ApiParam("显示文字")
    private String displayText;

    @Column(name = "DESIGNATED_PERSON")
    @ApiParam("指派人")
    private String designatedPerson;
}
