package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.*;

import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: yiming.gu
 * @CreateDate:2019-04-22-17:20
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PCN", indexes = {
        @Index(columnList = "PCN_CODE")
})
@Api("PCN节点")
public class MesPcn extends BaseBean implements Serializable {
    private static final long serialVersionUID = -9150091413555406397L;

    @Column(name = "PCN_CODE")
    @ApiParam("PCN代码")
    private String pcnCode;

    @Column(name = "PCN_NAME")
    @ApiParam("PCN名称")
    private String pcnName;

    @Column(name = "AREA_CODE")
    @ApiParam("区域")
    private String areaCode;

    @Column(name = "AREA_NAME")
    @ApiParam("区域名称")
    private String areaName;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name = "WORK_CENTER_NAME")
    @ApiParam("工作中心名称")
    private String workCenterName;

    @Column(name = "PCN_VERSION")
    @ApiParam("PCN版本")
    private String pcnVersion;

    @Column(name = "CONNECT_IP")
    @ApiParam("连接IP")
    private String connectIp;

    @Column(name = "CONNECT_COUNT")
    @ApiParam("连接次数")
    private Integer connectCount;

    @Column(name = "IS_CONNECT")
    @ApiParam("是否连接")
    private Integer isConnect;

    @Column(name = "CONNECT_TIME")
    @ApiParam("连接时间")
    private String connectTime;

    @Column(name = "CODE_SPECIFIC")
    @ApiParam("PCN特殊字段")
    private String codeSpecific;

    public int getConnectCountVal() {
        return this.connectCount == null ? 0 : this.connectCount;
    }

    public int getIsConnectVal() {
        return this.isConnect == null ? 0 : this.isConnect;
    }
}
