package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.*;

import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import java.io.Serializable;

/**
 * @Description :工序
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PROCESS", indexes = {
        @Index(columnList = "PROCESS_CODE")
})
@Api("工序")
public class MesProcess extends BaseBean implements Serializable {
    private static final long serialVersionUID = -615476712907856558L;

    @Column(name = "PROCESS_CODE")
    @ApiParam("工序代码")
    private String processCode;

    @Column(name = "PROCESS_NAME")
    @ApiParam("工序名称")
    private String processName;

    @Transient
    @ApiParam("生产线代码")
    private String workCenterCode;

    @Transient
    @ApiParam("工位代码")
    private String workCellCode;

    @Transient
    @ApiParam("流程代码")
    private String routeCode;
}
