package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.*;

import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/3/30 11:28
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_STEP_GROUP", indexes = {
        @Index(columnList = "STEP_CODE"),
        @Index(columnList = "AMG_ID"),
        @Index(columnList = "STEP_CODE, AMG_ID")
})
@Api("工步集")
public class MesStepGroup extends BaseBean implements Serializable {
    private static final long serialVersionUID = 1876053661752102998L;

    @Column(name = "AMG_ID")
    @ApiParam("组件集编号")
    private Long amgId;

    @Column(name = "STEP_CODE")
    @ApiParam("工步代码")
    private String stepCode;

    @Column(name = "SEQ")
    @ApiParam("执行顺序")
    private Integer seq;
}
