package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 上午10:43
 * @desc
 */
@Entity
@Table(name = "SCR_ACTION")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@DynamicUpdate
@DynamicInsert
@Builder
@ApiModel("动作")
public class ScrAction extends BaseBean implements Serializable {
    private static final long serialVersionUID = 3832856363595940018L;

    @Column(name = "ACTION_CODE")
    @ApiModelProperty("动作代码")
    private String actionCode;

    @Column(name = "ACTION_NAME")
    @ApiModelProperty("动作名称")
    private String actionName;

    @Column(name = "ACTION_TYPE")
    @ApiModelProperty("动作类型")
    private Integer actionType;

}