package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午1:27
 * @desc
 */
@Entity
@Table(name = "SCR_DATA_OBJECT_INDEX")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@DynamicUpdate
@DynamicInsert
@Builder
@ApiModel("数据对象约束管理")
public class ScrDataObjectIndex extends BaseBean implements Serializable {
    private static final long serialVersionUID = 8995523223574903326L;

    @Column(name = "DATA_OBJECT_CODE")
    @ApiModelProperty("数据对象代码")
    private String dataObjectCode;

    @Column(name = "INDEX_TYPE")
    @ApiModelProperty("约束类型")
    private Integer indexType;

    @Column(name = "GROUP_NO")
    @ApiModelProperty("组号")
    private Integer groupNo;

    @Column(name = "SEQ_NO")
    @ApiModelProperty("组号")
    private Integer seqNo;

    @Column(name = "FIELD_CODE")
    @ApiModelProperty("字段代码")
    private String fieldCode;

    @Column(name = "INDEX_NAME")
    @ApiModelProperty("索引名字")
    private String indexName;

    @Column(name = "IS_UNIQUE")
    @ApiModelProperty("是否唯一")
    private Integer isUnique;

}
