package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/19 下午5:06
 * @desc
 */
@Entity
@Table(name = "SCR_EVENT")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@DynamicUpdate
@DynamicInsert
@ApiModel("事件")
public class ScrEvent extends BaseBean implements Serializable {
    private static final long serialVersionUID = -6217007706865821613L;

    @Column(name = "EVENT_CODE")
    @ApiModelProperty("事件代码")
    private String eventCode;

    @Column(name = "EVENT_NAME")
    @ApiModelProperty("事件名称")
    private String eventName;
}
