package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午9:59
 * @desc
 */
@Entity
@Table(name = "SCR_FILE")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@DynamicUpdate
@DynamicInsert
@Builder
@ApiModel("文件")
public class ScrFile extends BaseBean implements Serializable {
    private static final long serialVersionUID = 2343301746531746105L;

    @Column(name = "FILE_NAME")
    @ApiModelProperty("文件名称")
    private String fileName;

    @Column(name = "FILE_URL")
    @ApiModelProperty("文件URL")
    private String fileUrl;

    @Column(name = "GROUP_NAME")
    @ApiModelProperty("组名")
    private String groupName;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiModelProperty("文件原名")
    private String fileOriginName;

    @Column(name = "FILE_SIZE")
    @ApiModelProperty("文件大小")
    private String fileSize;

    @Column(name = "FILE_TYPE")
    @ApiModelProperty("文件类型名称")
    private String fileType;

    @Column(name = "SYNC_TAG")
    @ApiModelProperty("同步标记")
    private Integer syncTag = 0;
}
