package cn.estsh.i3plus.pojo.screen.bean.diagram;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午7:47
 * @desc
 */
@Entity
@Table(name = "SCR_COMPONENT")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@DynamicUpdate
@DynamicInsert
@Builder
@ApiModel("组件")
public class ScrComponent extends BaseBean implements Serializable {
    private static final long serialVersionUID = 989032210658930856L;

    @Column(name = "COMPONENT_CODE")
    @ApiModelProperty("组件代码")
    private String componentCode;

    @Column(name = "COMPONENT_TYPE")
    @ApiModelProperty("组件类型")
    private String componentType;

    @Lob
    @Column(name = "COMPONENT_PROPERTY")
    @ApiModelProperty("组件属性")
    private String componentProperty;

}
