package cn.estsh.i3plus.pojo.screen.bean.diagram;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/7/2 14:05
 * @desc
 */
@Entity
@Table(name = "SCR_LAYOUT_ITEM")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@DynamicUpdate
@DynamicInsert
@Builder
@ApiModel("布局信息")
public class ScrLayoutItem extends BaseBean implements Serializable {
    private static final long serialVersionUID = -4379591189797358245L;

    @Column(name = "LAYOUT_CODE")
    @ApiModelProperty("布局代码")
    private String layoutCode;

    @Column(name = "LAYOUT_ITEM_CODE")
    @ApiModelProperty("布局单块代码")
    private String layoutItemCode;

    @Column(name = "HORIZONTAL_COORDINATE")
    @ApiModelProperty("x轴")
    private Integer horizontalCoordinate;

    @Column(name = "VERTICAL_COORDINATE")
    @ApiModelProperty("y轴")
    private Integer verticalCoordinate;

    @Column(name = "WIDTH")
    @ApiModelProperty("宽度")
    private Integer width;

    @Column(name = "HEIGHT")
    @ApiModelProperty("高度")
    private Integer height;

    @Column(name = "IS_STATIC")
    @ApiModelProperty("是否静态固定")
    private Integer isStatic;
}
