package cn.estsh.i3plus.pojo.screen.bean.diagram;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午7:50
 * @desc
 */
@Entity
@Table(name = "SCR_PANEL_COMPONENT")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@DynamicUpdate
@DynamicInsert
@Builder
@ApiModel("panel与组件的关系")
public class ScrPanelComponent extends BaseBean implements Serializable {
    private static final long serialVersionUID = -9070313428476817410L;

    @Column(name = "PANEL_CODE")
    @ApiModelProperty("Panel代码")
    private String panelCode;

    @Column(name = "LAYOUT_CODE")
    @ApiModelProperty("布局代码")
    private String layoutCode;

    @Column(name = "LAYOUT_ITEM_CODE")
    @ApiModelProperty("布局单元代码")
    private String layoutItemCode;

    @Column(name = "COMPONENT_CODE")
    @ApiModelProperty("组件代码")
    private String componentCode;

    @Column(name = "SEQ")
    @ApiModelProperty("组件顺序")
    private Integer seq;

}
