package cn.estsh.i3plus.pojo.screen.bean.diagram;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午7:47
 * @desc
 */
@Entity
@Table(name = "SCR_SCREEN")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@DynamicUpdate
@DynamicInsert
@Builder
@ApiModel("页面")
public class ScrScreen extends BaseBean implements Serializable {
    private static final long serialVersionUID = -6755902986892118213L;

    @Column(name = "SCREEN_CODE")
    @ApiModelProperty("页面代码")
    private String screenCode;

    @Column(name = "SCREEN_NAME")
    @ApiModelProperty("页面名称")
    private String screenName;

    @Column(name = "SCREEN_VERSION")
    @ApiModelProperty("页面版本")
    private String screenVersion;

    @Column(name = "DEVICE_TYPE")
    @ApiModelProperty("设备类型")
    private Integer deviceType;

    @Column(name = "TEMPLATE_TYPE")
    @ApiModelProperty("模板类型")
    private Integer templateType;

    @Column(name = "SCREEN_OWNING_SYSTEM")
    @ApiModelProperty("界面所属系统")
    private Integer screenOwningSystem;

    @Lob
    @Column(name = "SCREEN_PROPERTY")
    @ApiModelProperty("布局代码")
    private String screenProperty;

}
