package cn.estsh.i3plus.pojo.screen.bean.diagram;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午7:50
 * @desc
 */
@Entity
@Table(name = "SCR_SCREEN_PANEL")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@DynamicUpdate
@DynamicInsert
@Builder
@ApiModel("screen与panel的关系")
public class ScrScreenPanel extends BaseBean implements Serializable {
    private static final long serialVersionUID = 2586321557100106523L;

    @Column(name = "SCREEN_CODE")
    @ApiModelProperty("Screen代码")
    private String screenCode;

    @Column(name = "LAYOUT_CODE")
    @ApiModelProperty("布局代码")
    private String layoutCode;

    @Column(name = "LAYOUT_ITEM_CODE")
    @ApiModelProperty("布局单元代码")
    private String layoutItemCode;

    @Column(name = "PANEL_CODE")
    @ApiModelProperty("panel代码")
    private String panelCode;
}
