package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.screen.bean.diagram.ScrComponent;
import cn.estsh.i3plus.pojo.screen.bean.diagram.ScrLayout;
import cn.estsh.i3plus.pojo.screen.bean.diagram.ScrLayoutItem;
import cn.estsh.i3plus.pojo.screen.bean.diagram.ScrPanel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/3/28 上午12:42
 * @desc
 */
@Data
@Builder
@ApiModel("Panel与组件关系的创建model")
public class ScrPanelComponentModel implements Serializable {
    private static final long serialVersionUID = -5832175256726333348L;

    @ApiModelProperty("panel")
    private ScrPanel panel;

    @ApiModelProperty("布局")
    private ScrLayout layout;

    @ApiModelProperty("布局单元")
    private List<ScrLayoutItem> layoutItems;

    @ApiModelProperty("布局单元与组件集合的对应map")
    private LinkedHashMap<String, List<ScrComponent>> componentsMap;

}
