package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.screen.bean.diagram.ScrLayout;
import cn.estsh.i3plus.pojo.screen.bean.diagram.ScrLayoutItem;
import cn.estsh.i3plus.pojo.screen.bean.diagram.ScrPanel;
import cn.estsh.i3plus.pojo.screen.bean.diagram.ScrScreen;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/3/28 上午12:42
 * @desc
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("Screen与Panel的创建Model")
public class ScrScreenPanelModel implements Serializable {
    private static final long serialVersionUID = -5832175256726333348L;

    @ApiModelProperty("页面")
    private ScrScreen screen;

    @ApiModelProperty("布局")
    private ScrLayout layout;

    @ApiModelProperty("布局单元")
    private List<ScrLayoutItem> layoutItems;

    @ApiModelProperty("布局单元与容器")
    private LinkedHashMap<String, ScrPanel> panelsMap;


}
